Create a VisualEditor plugin to integrate with ProofreadPage
Open, LowPublic

Subscribers
Tokens
"Love" token, awarded by Aubrey."Mountain of Wealth" token, awarded by RandomDSdevel."Like" token, awarded by Johan."Love" token, awarded by jayantanth."Love" token, awarded by Elitre."Like" token, awarded by Jdforrester-WMF."Love" token, awarded by Bodhisattwa."Like" token, awarded by Micru."Like" token, awarded by Rastus_Vernon."Like" token, awarded by Tpt."Like" token, awarded by Ricordisamoa.
Assigned To
Authored By
Tpt, Mar 26 2013

Description

Page: pages are not plain wikitext pages but are split into three textareas: header, footer and body and a proofreading level tag (note 1).
So, an adaptation of the VisualEditor to these pages is needed in order to make edition of the pages work.

The UI need to be tweaked in order to allow the splitting of the main textarea into three and the edition of the Proofreading level at the save of page as it works currently for wikitext editing (example: https://en.wikisource.org/w/index.php?title=Page:La_Fontaine_-_The_Original_Fables_Of,_1913.djvu/20&action=edit ).

An other useful (but less important thing) things is to add modules to the Visual Editor to support specific tags used by Wikisource like <pages>, <section> and <poem>.

note 1: structure of the page as save in the database:
<noinclude><pagequality level="LEVEL" user="LAST PROOFREADER" />HEADER<div class="pagetext">BODY<noinclude>FOOTER</noinclude>


Version: unspecified
Severity: enhancement

This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

This proposal received 41 support votes, and was ranked #23 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Wikisource#Visual_Editor_adapted_for_Wikisource

bzimport set Reference to bz46580.
bzimport added a subscriber: Unknown Object (MLST).
Tpt created this task.Mar 26 2013, 8:31 PM

How would we go with looking to put the user into the API? That information would be useful to present through the 'page information' so it is presentable via 'action=info'. At the moment one has to pull the page data to get the user info, while the proofread status is already captured. Well that is my limited understanding of the data.

(In reply to comment #0)

note 1: structure of the page as save in the database:
<noinclude><pagequality level="LEVEL" user="LAST PROOFREADER" />HEADER<div
class="pagetext">BODY<noinclude>FOOTER</noinclude>

This data should be in a queryable format. The current format sucks and should be abandoned. If there's not already a bug filed about this, please file one.

(In reply to comment #1)

How would we go with looking to put the user into the API? That information
would be useful to present through the 'page information' so it is
presentable via 'action=info'. At the moment one has to pull the page data to
get the user info, while the proofread status is already captured. Well that
is my limited understanding of the data.

action=info is part of index.php, not api.php. That is, the info action is part of the (graphical) user interface, not part of the MediaWiki API. This bug should just be about a single issue. Adding this type of information to the info action can be a dependent bug of this bug. There may be such a page filed already, maybe.

Basically, once the data is queryable, both the info action and the MediaWiki API modules can pull the data out easily. But that's at least three separate bugs (and probably many more).

Tpt added a comment.Mar 30 2013, 3:33 PM

(In reply to comment #2)

This data should be in a queryable format. The current format sucks and should
be abandoned. If there's not already a bug filed about this, please file one.

Done (bug 46724). But before doing anything on this direction, a refactoring of the wikitext edition interface is needed because the current system is closely based on this storage format (bug 46578).

Ricordisamoa added a subscriber: Ricordisamoa.
Aubrey added a subscriber: Aubrey.Mar 19 2015, 4:22 PM

What can we do, as community members, to raise the priority of this? It is really important for Wikisource to have the VE active within the Page namespace. It is probably the most needed feature of Wikisource projects, and it would be an important testbed for the VE itself: Wikisource books are heavily formatted, much more than Wikipedia articles.

Tpt awarded a token.Mar 19 2015, 4:30 PM

@Jdforrester-WMF are you able to add some guidance here?

Elitre added a subscriber: Elitre.Apr 15 2015, 11:39 AM
GWicke added a subscriber: GWicke.May 24 2015, 6:59 AM
jayvdb added a subscriber: jayvdb.May 24 2015, 7:02 AM
Micru added a subscriber: Micru.May 30 2015, 2:58 PM
KRLS added a subscriber: KRLS.May 31 2015, 4:16 PM
Micru awarded a token.Jun 3 2015, 6:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 3:42 PM
DannyH set Security to None.
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 21 2016, 2:53 PM
Ankry added a subscriber: Ankry.Jan 27 2016, 2:32 PM
DannyH edited the task description. (Show Details)Feb 5 2016, 11:55 PM
coren claimed this task.Feb 26 2016, 7:44 PM
coren added a subscriber: coren.

I will be in Jerusalem, and will concentrate on coordinating work on this task while there (as well as hack on it myself).

Tpt added a comment.Feb 26 2016, 8:18 PM

I will be in Jerusalem, and will concentrate on coordinating work on this task while there (as well as hack on it myself).

Great! I'll be in Jerusalem too and willing to work on it.

coren added a comment.Apr 2 2016, 1:34 PM

Current status: we now have a proper design for Page namespace that is in progress but - as a first step - we now have usable mainspace editing with Visual Editor (including the transclusion tag). This is currently working on a test server, and is scheduled for the deployment train Tueseday, Apr 5 (and deployed on group 1 that inlcludes the Wikisources on Apr 6).

@Jdforrester-WMF is planning to turn the configuration switch on April 7.

At that point, Visual Editor will become available as a beta feature on fr.wikisource.org for all content namespaces except Page (that's the next part being worked on now).

@Jdforrester-WMF is planning to turn the configuration switch on April 7.

At that point, Visual Editor will become available as a beta feature on fr.wikisource.org for all content namespaces except Page (that's the next part being worked on now).

Clarification: This will be for all Wikisources, not just frws. :-)

coren added a comment.Apr 3 2016, 1:09 PM

Clarification: This will be for all Wikisources, not just frws. :-)

Oh, yeah. Good point. It will be available (selectable from the beta features selector) on all Wikisources.

Johan awarded a token.Apr 3 2016, 4:16 PM
Krinkle removed a subscriber: Krinkle.Apr 3 2016, 9:46 PM

works well in chrome and firefox. saved first new article.

Insert -> Pages -> there is no "onlysection" attribute

Z.

This was deployed in the new Single Edit Tab mode. The basic explanation is at https://www.mediawiki.org/wiki/VisualEditor/Single_edit_tab if anyone is looking for information.

Qgil added a subscriber: Qgil.Apr 18 2016, 1:16 PM

What is missing to consider this task Resolved?

I am trying to summarize the progress on this task at https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/WIP_Wikimedia_Hackathon_2016_post#The_connection_with_the_Community_Wishlist. Is there any beautiful screenshot in Commons that we can reuse?

Ankry added a comment.Apr 18 2016, 1:41 PM

What is missing to consider this task Resolved?

We are still waitng for Page namespace support which is the main editing namespace for most wikisources. Moreover, many new wikisourcians edit only in the Page namespace. The general trend is to have articles in main namespace automatically or semi-automatically generated basing on data from Index and Page namespaces. So having VE support in main namespace may be a nice feature, but mostly useless.

Slowking4 added a comment.EditedApr 19 2016, 4:15 PM

i noted some buggy interaction for the insert > pages, initially rather than subsequenly editing pages template https://www.mediawiki.org/wiki/VisualEditor/Feedback

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 4:15 PM
coren added a comment.Apr 20 2016, 4:03 PM

We are still waitng for Page namespace support which is the main editing namespace for most wikisources. Moreover, many new wikisourcians edit only in the Page namespace. The general trend is to have articles in main namespace automatically or semi-automatically generated basing on data from Index and Page namespaces. So having VE support in main namespace may be a nice feature, but mostly useless.

Indeed. Having VE there at all was a preliminary requirement, not the end result. :-)

Change 284681 had a related patch set uploaded (by Esanders):
WIP Sectioned edit target for page namespace

https://gerrit.wikimedia.org/r/284681

Is it safe to assume this feature will not suddenly become active and in use in production once code from this task is merged? Sorry that I need to ask ... but I have been unpleasantly surprised in the past (definitely not referring to the developers active on this or related task), and I hope to avoid that occurring in this case.

I think WS folk would like to play with it a little in a test bed before it becomes active somehow, and will need longer than a few days as the deploy process moves from beta/test/prod.

I certainly would be happy to do some QA work on it, if given a decent window to work with. i.e. I cant make any promises to help if the approach is: it is merged, and will be deployed in three days, happy hunting.

coren added a comment.Apr 23 2016, 1:12 PM

Is it safe to assume this feature will not suddenly become active and in use in production once code from this task is merged?

It will certainly remain as a beta feature for quite some time, requiring explicit activation.

GOIII added a subscriber: GOIII.Apr 24 2016, 1:15 AM

Is it safe to assume this feature will not suddenly become active and in use in production once code from this task is merged?

It will certainly remain as a beta feature for quite some time, requiring explicit activation.

Well why not activate it on https://test2.wikipedia.org at the very least? The ProofreadPage extension is already 'enabled' there and nobody really uses it for proofreading; just for testing &/or illustrative purposes.

If not, please remember to make the beta "option" available there as well.

Aubrey added a subscriber: DannyH.Apr 26 2016, 8:58 AM

@DannyH, you should subscribe to this :-)

Add Comment